Changer de langue

Bac à sable

Explore every endpoint with simulated responses — no credentials required.

POST /authorize

Autoriser

Obtenir un jeton d'accès Bearer avec les identifiants du compte ou les clés API.

Nom d'utilisateur du compte

Mot de passe du compte

Clé API publique

Clé API secrète

Réinitialiser

Click "Send request" to see a simulated response.

Exemples de code

<?php
$ch = curl_init('https://rediafile.com/cloud/api/v2/authorize');
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST');
curl_setopt($ch, CURLOPT_HTTPHEADER, ['Authorization: Bearer ' . $token]);
curl_setopt($ch, CURLOPT_POSTFIELDS, [
    'username' => 'admin',
    'password' => 'secret123',
    'api_key' => 'pk_live_xxxxxxxx',
    'api_secret' => 'sk_live_xxxxxxxx',
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);
$data = json_decode($response, true);